Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2.impl
Class ADImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.ohf.ihe.common.cdar2.impl.ANYImpl
                      org.eclipse.ohf.ihe.common.cdar2.impl.ADImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, AD, ANY

    public class ADImpl

extends ANYImpl
implements AD

An implementation of the model object 'AD'.

The following features are implemented:

- `Mixed`
- `Group`
- `Delimiter`
- `Country`
- `State`
- `County`
- `City`
- `Postal Code`
- `Street Address Line`
- `House Number`
- `House Number Numeric`
- `Direction`
- `Street Name`
- `Street Name Base`
- `Street Name Type`
- `Additional Locator`
- `Unit ID`
- `Unit Type`
- `Care Of`
- `Census Tract`
- `Delivery Address Line`
- `Delivery Installation Type`
- `Delivery Installation Area`
- `Delivery Installation Qualifier`
- `Delivery Mode`
- `Delivery Mode Identifier`
- `Building Number Suffix`
- `Post Box`
- `Precinct`
- `Useable Period`
- `Is Not Ordered`
- `Use`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`void` | `eUnset(int featureID)`
`org.eclipse.emf.common.util.EList` | `getAdditionalLocator()`
`org.eclipse.emf.common.util.EList` | `getBuildingNumberSuffix()`
`org.eclipse.emf.common.util.EList` | `getCareOf()`
`org.eclipse.emf.common.util.EList` | `getCensusTract()`
`org.eclipse.emf.common.util.EList` | `getCity()`
`org.eclipse.emf.common.util.EList` | `getCountry()`
`org.eclipse.emf.common.util.EList` | `getCounty()`
`org.eclipse.emf.common.util.EList` | `getDelimiter()`
`org.eclipse.emf.common.util.EList` | `getDeliveryAddressLine()`
`org.eclipse.emf.common.util.EList` | `getDeliveryInstallationArea()`
`org.eclipse.emf.common.util.EList` | `getDeliveryInstallationQualifier()`
`org.eclipse.emf.common.util.EList` | `getDeliveryInstallationType()`
`org.eclipse.emf.common.util.EList` | `getDeliveryMode()`
`org.eclipse.emf.common.util.EList` | `getDeliveryModeIdentifier()`
`org.eclipse.emf.common.util.EList` | `getDirection()`
`org.eclipse.emf.ecore.util.FeatureMap` | `getGroup()`
`org.eclipse.emf.common.util.EList` | `getHouseNumber()`
`org.eclipse.emf.common.util.EList` | `getHouseNumberNumeric()`
`org.eclipse.emf.ecore.util.FeatureMap` | `getMixed()`
`org.eclipse.emf.common.util.EList` | `getPostalCode()`
`org.eclipse.emf.common.util.EList` | `getPostBox()`
`org.eclipse.emf.common.util.EList` | `getPrecinct()`
`org.eclipse.emf.common.util.EList` | `getState()`
`org.eclipse.emf.common.util.EList` | `getStreetAddressLine()`
`org.eclipse.emf.common.util.EList` | `getStreetName()`
`org.eclipse.emf.common.util.EList` | `getStreetNameBase()`
`org.eclipse.emf.common.util.EList` | `getStreetNameType()`
`org.eclipse.emf.common.util.EList` | `getUnitID()`
`org.eclipse.emf.common.util.EList` | `getUnitType()`
`java.util.List` | `getUse()`
`org.eclipse.emf.common.util.EList` | `getUseablePeriod()`
`boolean` | `isIsNotOrdered()`
`boolean` | `isSetIsNotOrdered()`
`void` | `setIsNotOrdered(boolean newIsNotOrdered)`
`void` | `setUse(java.util.List newUse)`
`java.lang.String` | `toString()`
`void` | `unsetIsNotOrdered()`

Methods inherited from class org.eclipse.ohf.ihe.common.cdar2.impl.ANYImpl
`getNullFlavor, setNullFlavor`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.ANY
`getNullFlavor, setNullFlavor`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getMixed

    public org.eclipse.emf.ecore.util.FeatureMap getMixed()

  Specified by:
    `getMixed` in interface `AD`
  Returns:
    the value of the 'Mixed' attribute list.
  See Also:
    `CDAR2Package.getAD_Mixed()`

### getGroup

    public org.eclipse.emf.ecore.util.FeatureMap getGroup()

  Specified by:
    `getGroup` in interface `AD`
  Returns:
    the value of the 'Group' attribute list.
  See Also:
    `CDAR2Package.getAD_Group()`

### getDelimiter

    public org.eclipse.emf.common.util.EList getDelimiter()

  Specified by:
    `getDelimiter` in interface `AD`
  Returns:
    the value of the 'Delimiter' containment reference list.
  See Also:
    `CDAR2Package.getAD_Delimiter()`

### getCountry

    public org.eclipse.emf.common.util.EList getCountry()

  Specified by:
    `getCountry` in interface `AD`
  Returns:
    the value of the 'Country' containment reference list.
  See Also:
    `CDAR2Package.getAD_Country()`

### getState

    public org.eclipse.emf.common.util.EList getState()

  Specified by:
    `getState` in interface `AD`
  Returns:
    the value of the 'State' containment reference list.
  See Also:
    `CDAR2Package.getAD_State()`

### getCounty

    public org.eclipse.emf.common.util.EList getCounty()

  Specified by:
    `getCounty` in interface `AD`
  Returns:
    the value of the 'County' containment reference list.
  See Also:
    `CDAR2Package.getAD_County()`

### getCity

    public org.eclipse.emf.common.util.EList getCity()

  Specified by:
    `getCity` in interface `AD`
  Returns:
    the value of the 'City' containment reference list.
  See Also:
    `CDAR2Package.getAD_City()`

### getPostalCode

    public org.eclipse.emf.common.util.EList getPostalCode()

  Specified by:
    `getPostalCode` in interface `AD`
  Returns:
    the value of the 'Postal Code' containment reference list.
  See Also:
    `CDAR2Package.getAD_PostalCode()`

### getStreetAddressLine

    public org.eclipse.emf.common.util.EList getStreetAddressLine()

  Specified by:
    `getStreetAddressLine` in interface `AD`
  Returns:
    the value of the 'Street Address Line' containment reference list.
  See Also:
    `CDAR2Package.getAD_StreetAddressLine()`

### getHouseNumber

    public org.eclipse.emf.common.util.EList getHouseNumber()

  Specified by:
    `getHouseNumber` in interface `AD`
  Returns:
    the value of the 'House Number' containment reference list.
  See Also:
    `CDAR2Package.getAD_HouseNumber()`

### getHouseNumberNumeric

    public org.eclipse.emf.common.util.EList getHouseNumberNumeric()

  Specified by:
    `getHouseNumberNumeric` in interface `AD`
  Returns:
    the value of the 'House Number Numeric' containment reference list.
  See Also:
    `CDAR2Package.getAD_HouseNumberNumeric()`

### getDirection

    public org.eclipse.emf.common.util.EList getDirection()

  Specified by:
    `getDirection` in interface `AD`
  Returns:
    the value of the 'Direction' containment reference list.
  See Also:
    `CDAR2Package.getAD_Direction()`

### getStreetName

    public org.eclipse.emf.common.util.EList getStreetName()

  Specified by:
    `getStreetName` in interface `AD`
  Returns:
    the value of the 'Street Name' containment reference list.
  See Also:
    `CDAR2Package.getAD_StreetName()`

### getStreetNameBase

    public org.eclipse.emf.common.util.EList getStreetNameBase()

  Specified by:
    `getStreetNameBase` in interface `AD`
  Returns:
    the value of the 'Street Name Base' containment reference list.
  See Also:
    `CDAR2Package.getAD_StreetNameBase()`

### getStreetNameType

    public org.eclipse.emf.common.util.EList getStreetNameType()

  Specified by:
    `getStreetNameType` in interface `AD`
  Returns:
    the value of the 'Street Name Type' containment reference list.
  See Also:
    `CDAR2Package.getAD_StreetNameType()`

### getAdditionalLocator

    public org.eclipse.emf.common.util.EList getAdditionalLocator()

  Specified by:
    `getAdditionalLocator` in interface `AD`
  Returns:
    the value of the 'Additional Locator' containment reference list.
  See Also:
    `CDAR2Package.getAD_AdditionalLocator()`

### getUnitID

    public org.eclipse.emf.common.util.EList getUnitID()

  Specified by:
    `getUnitID` in interface `AD`
  Returns:
    the value of the 'Unit ID' containment reference list.
  See Also:
    `CDAR2Package.getAD_UnitID()`

### getUnitType

    public org.eclipse.emf.common.util.EList getUnitType()

  Specified by:
    `getUnitType` in interface `AD`
  Returns:
    the value of the 'Unit Type' containment reference list.
  See Also:
    `CDAR2Package.getAD_UnitType()`

### getCareOf

    public org.eclipse.emf.common.util.EList getCareOf()

  Specified by:
    `getCareOf` in interface `AD`
  Returns:
    the value of the 'Care Of' containment reference list.
  See Also:
    `CDAR2Package.getAD_CareOf()`

### getCensusTract

    public org.eclipse.emf.common.util.EList getCensusTract()

  Specified by:
    `getCensusTract` in interface `AD`
  Returns:
    the value of the 'Census Tract' containment reference list.
  See Also:
    `CDAR2Package.getAD_CensusTract()`

### getDeliveryAddressLine

    public org.eclipse.emf.common.util.EList getDeliveryAddressLine()

  Specified by:
    `getDeliveryAddressLine` in interface `AD`
  Returns:
    the value of the 'Delivery Address Line' containment reference list.
  See Also:
    `CDAR2Package.getAD_DeliveryAddressLine()`

### getDeliveryInstallationType

    public org.eclipse.emf.common.util.EList getDeliveryInstallationType()

  Specified by:
    `getDeliveryInstallationType` in interface `AD`
  Returns:
    the value of the 'Delivery Installation Type' containment reference list.
  See Also:
    `CDAR2Package.getAD_DeliveryInstallationType()`

### getDeliveryInstallationArea

    public org.eclipse.emf.common.util.EList getDeliveryInstallationArea()

  Specified by:
    `getDeliveryInstallationArea` in interface `AD`
  Returns:
    the value of the 'Delivery Installation Area' containment reference list.
  See Also:
    `CDAR2Package.getAD_DeliveryInstallationArea()`

### getDeliveryInstallationQualifier

    public org.eclipse.emf.common.util.EList getDeliveryInstallationQualifier()

  Specified by:
    `getDeliveryInstallationQualifier` in interface `AD`
  Returns:
    the value of the 'Delivery Installation Qualifier' containment reference list.
  See Also:
    `CDAR2Package.getAD_DeliveryInstallationQualifier()`

### getDeliveryMode

    public org.eclipse.emf.common.util.EList getDeliveryMode()

  Specified by:
    `getDeliveryMode` in interface `AD`
  Returns:
    the value of the 'Delivery Mode' containment reference list.
  See Also:
    `CDAR2Package.getAD_DeliveryMode()`

### getDeliveryModeIdentifier

    public org.eclipse.emf.common.util.EList getDeliveryModeIdentifier()

  Specified by:
    `getDeliveryModeIdentifier` in interface `AD`
  Returns:
    the value of the 'Delivery Mode Identifier' containment reference list.
  See Also:
    `CDAR2Package.getAD_DeliveryModeIdentifier()`

### getBuildingNumberSuffix

    public org.eclipse.emf.common.util.EList getBuildingNumberSuffix()

  Specified by:
    `getBuildingNumberSuffix` in interface `AD`
  Returns:
    the value of the 'Building Number Suffix' containment reference list.
  See Also:
    `CDAR2Package.getAD_BuildingNumberSuffix()`

### getPostBox

    public org.eclipse.emf.common.util.EList getPostBox()

  Specified by:
    `getPostBox` in interface `AD`
  Returns:
    the value of the 'Post Box' containment reference list.
  See Also:
    `CDAR2Package.getAD_PostBox()`

### getPrecinct

    public org.eclipse.emf.common.util.EList getPrecinct()

  Specified by:
    `getPrecinct` in interface `AD`
  Returns:
    the value of the 'Precinct' containment reference list.
  See Also:
    `CDAR2Package.getAD_Precinct()`

### getUseablePeriod

    public org.eclipse.emf.common.util.EList getUseablePeriod()

  Specified by:
    `getUseablePeriod` in interface `AD`
  Returns:
    the value of the 'Useable Period' containment reference list.
  See Also:
    `CDAR2Package.getAD_UseablePeriod()`

### isIsNotOrdered

    public boolean isIsNotOrdered()

  Specified by:
    `isIsNotOrdered` in interface `AD`
  Returns:
    the value of the 'Is Not Ordered' attribute.
  See Also:
    `AD.isSetIsNotOrdered()`, `AD.unsetIsNotOrdered()`, `AD.setIsNotOrdered(boolean)`, `CDAR2Package.getAD_IsNotOrdered()`

### setIsNotOrdered

    public void setIsNotOrdered(boolean newIsNotOrdered)

  Specified by:
    `setIsNotOrdered` in interface `AD`
  Parameters:
    `newIsNotOrdered` - the new value of the 'Is Not Ordered' attribute.
  See Also:
    `AD.isSetIsNotOrdered()`, `AD.unsetIsNotOrdered()`, `AD.isIsNotOrdered()`

### unsetIsNotOrdered

    public void unsetIsNotOrdered()

  Specified by:
    `unsetIsNotOrdered` in interface `AD`
  See Also:
    `AD.isSetIsNotOrdered()`, `AD.isIsNotOrdered()`, `AD.setIsNotOrdered(boolean)`

### isSetIsNotOrdered

    public boolean isSetIsNotOrdered()

  Specified by:
    `isSetIsNotOrdered` in interface `AD`
  Returns:
    whether the value of the 'Is Not Ordered' attribute is set.
  See Also:
    `AD.unsetIsNotOrdered()`, `AD.isIsNotOrdered()`, `AD.setIsNotOrdered(boolean)`

### getUse

    public java.util.List getUse()

  Specified by:
    `getUse` in interface `AD`
  Returns:
    the value of the 'Use' attribute.
  See Also:
    `AD.setUse(List)`, `CDAR2Package.getAD_Use()`

### setUse

    public void setUse(java.util.List newUse)

  Specified by:
    `setUse` in interface `AD`
  Parameters:
    `newUse` - the new value of the 'Use' attribute.
  See Also:
    `AD.getUse()`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `ANYImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `ANYImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `ANYImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `ANYImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `ANYImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD